# OSD_SIGSEGV.hxx File Reference

`#include <Standard.hxx>`
`#include <Handle_OSD_SIGSEGV.hxx>`
`#include <Standard_SStream.hxx>`
`#include <OSD_Signal.hxx>`

## Defines

#define | OSD_SIGSEGV_Raise_if(CONDITION, MESSAGE) if (CONDITION) OSD_SIGSEGV::Raise(MESSAGE);

## Define Documentation

#define OSD_SIGSEGV_Raise_if | ( | CONDITION,
|  | MESSAGE |  | ) | if (CONDITION) OSD_SIGSEGV::Raise(MESSAGE);